% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/extract.R
\name{extract,ets-method}
\alias{extract,ets-method}
\alias{extract.ets}
\title{\code{\link{extract}} method for \code{ets} objects}
\usage{
\S4method{extract}{ets}(
  model,
  include.pvalues = FALSE,
  include.aic = TRUE,
  include.aicc = TRUE,
  include.bic = TRUE,
  include.loglik = TRUE,
  ...
)
}
\arguments{
\item{model}{A statistical model object.}

\item{include.pvalues}{Report p-values?}

\item{include.aic}{Report Akaike's Information Criterion (AIC) in the GOF
block?}

\item{include.aicc}{Report AICC in the GOF block?}

\item{include.bic}{Report the Bayesian Information Criterion (BIC) in the GOF
block?}

\item{include.loglik}{Report the log likelihood in the GOF block?}

\item{...}{Custom parameters, which are handed over to subroutines. Currently
not in use.}
}
\description{
\code{\link{extract}} method for \code{ets} objects created by the
\code{\link[forecast]{ets}} function in the \pkg{forecast} package.
}
